SciQLOP - Task #1483

User story # 1481 (Closed): Nouvelles taches provenant du sprint précédent
Clang Analyser avec Qt sous Windows

31/05/2017 03:13 PM - Anonymous

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0 blocked: No
Description

Vérfier l'utilisation de clang accompagnant QtSDK sous windws

History

#1 - 31/05/2017 03:14 PM - Anonymous
- Tracker changed from Epic story to User story

- Parent task set to #1481

#2 - 01/06/2017 10:10 AM - Anonymous
- Status changed from New to In Progress

- Assignee set to Anonymous

#3 - 01/06/2017 10:14 AM - Anonymous

Qt Créator sous Windows expose Clang.exe. Dans les options de configuration clanganalyzer, c'est également le chemin vers ce CLang.exe qui est
exposeé.

1) Il n'inclue pas CLazy
2) Via la ligne de commande suivante:
scan-build --use-analyzer=C:/Qt/Tools/QtCreator/bin/clang/bin/clang.exe -o clang-analyzer-output mingw32-make

I'analyser se lance et indique 0 erreurs méme si un fichier cpp contient des erreurs détectables.

#4 - 01/06/2017 10:57 AM - Anonymous

- Status changed from In Progress to Feedback

#5 - 08/06/2017 08:42 PM - adminlpp adminlpp
- Tracker changed from User story to Task

- % Done set to 0

- revision set to r0

- blocked set to No

#6 - 12/06/2017 11:19 AM - Anonymous
- Status changed from Feedback to Closed
